Page MenuHomePhabricator

MMV: Fix "JQMIGRATE: jQuery.browser is deprecated" in mmv.base.js
Closed, ResolvedPublic

Description

without further action on https://de.wikipedia.org/wiki/Wikipedia:Projektneuheiten?debug=true

JQMIGRATE: jQuery.browser is deprecated
mw.mmv.isBrowserSupported() in https://bits.wikimedia.org/static-1.24wmf4/extensions/MultimediaViewer/resources/mmv/mmv.base.js (line 24)

The use of "$.browser.msie" seems to unguarded if $.browser exists (which was removed in jQuery 1.9)


Version: master
Severity: normal

Details

Reference
bz65371

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:14 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz65371.
Se4598 created this task.May 15 2014, 8:51 PM

Change 133762 had a related patch set uploaded by Rillke:
MMV: Replace deprecated jQuery.browser with jQuery.client

https://gerrit.wikimedia.org/r/133762

Change 132020 had a related patch set uploaded by Rillke:
Fix up one issue with jQuery 1.9

https://gerrit.wikimedia.org/r/132020

Change 133762 merged by jenkins-bot:
Replace deprecated jQuery.browser with jQuery.client

https://gerrit.wikimedia.org/r/133762

Change 132020 abandoned by MarkTraceur:
Fix up one issue with jQuery 1.9

https://gerrit.wikimedia.org/r/132020

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM